Memcached Install

Alle weiteren Dienste, die nicht in die drei oberen Foren gehören.
Antworten
X0lfm4n
Beiträge: 2
Registriert: 26.10.2017 14:45:02

Memcached Install

Beitrag von X0lfm4n » 26.10.2017 14:52:55

Hallo zusammen,

ich habe einen Debian 8.9 Root Server mit PHP7.1
http://www.freiland-piraten.de/viewer/info.php

für einen Server Viewer brauch ich memcached auf dem root, allerdings habe ich probleme bei der installation.
Ich habe dieses Video (https://www.youtube.com/watch?v=s_n_rIxlY_0) dazu gefunden, hänge allerdings bereits beim ersten Befehl fest, da bekomme ich die Meldung:
Cannot access PPA (https://launchpad.net/api/1.0/~ondrej/+archive/php-7.0) to get PPA information, please check your internet connection.

Falls relevant ich nutze ebenfalls PLESK.
Ich hoffe ihr könnt mir dabei weiter helfen.

Grüße Rene

Benutzeravatar
Lord_Carlos
Beiträge: 3960
Registriert: 30.04.2006 17:58:52
Lizenz eigener Beiträge: GNU Free Documentation License
Wohnort: Dänemark

Re: Memcached Install

Beitrag von Lord_Carlos » 26.10.2017 16:04:57

Der erste befehl ist dazu da ein php7 ubuntu repo hinzuzufuegen, aber du hast ja schon php7.1 installiert. Lohnt also nicht.

Code: Alles auswählen

╔═╗┬ ┬┌─┐┌┬┐┌─┐┌┬┐╔╦╗
╚═╗└┬┘└─┐ │ ├┤ │││ ║║
╚═╝ ┴ └─┘ ┴ └─┘┴ ┴═╩╝ rockt das Forum!

X0lfm4n
Beiträge: 2
Registriert: 26.10.2017 14:45:02

Re: Memcached Install

Beitrag von X0lfm4n » 26.10.2017 16:31:30

ok stimmt hast recht

hab inzwischen weiter gemacht, und hänge gerade bei 5:36 (make && sudo make install)
bekomme dabei leider diese fehlermeldung:

Bild

Benutzeravatar
Lord_Carlos
Beiträge: 3960
Registriert: 30.04.2006 17:58:52
Lizenz eigener Beiträge: GNU Free Documentation License
Wohnort: Dänemark

Re: Memcached Install

Beitrag von Lord_Carlos » 26.10.2017 22:19:31

Eine kleine suche der Fehlermeldung sagt mir das es im -dev packet von php ist.
Also z.B. Debianphp7.0-dev
Wie hast du php7.1 isntalliert? Ueber die gleiche weise wuerde ich dann auch php7.1-dev installieren.

____________

So mal nebenbei, eigentlich haettest du von Anfang an einfach Debianmemcached Debianphp und Debianphp-memcache als fertige Pakete installieren koennen.
Waere total einfach gewesen. Nichts compilieren oder so. Wird alles automatisch mit sicherheitsupdates versehen.

Oder muss es unbedingt php7.1 sein?

Jedenfalls sagt mir diese nette Anleitung: https://packages.debian.org/stretch/php7.0-dev (Ist fuer debian 9, sollte aber auch aehnlich fuer 8 gehen)
Aber jetzt hast du schon php auf eine andere art installiert, mixen wird nicht gut enden.

Code: Alles auswählen

╔═╗┬ ┬┌─┐┌┬┐┌─┐┌┬┐╔╦╗
╚═╗└┬┘└─┐ │ ├┤ │││ ║║
╚═╝ ┴ └─┘ ┴ └─┘┴ ┴═╩╝ rockt das Forum!

Antworten